new GuiControlProfile("GuiInventoryHudAmmoProfile")
{
	fontType = "Arial";
	fontSize = 12;
	fontColor = "0 200 185";
	justify = "center";
	autoSizeWidth = false;
	autoSizeHeight = true;
};

new GuiControl(ModuleHud) {
	profile = "GuiDefaultProfile";
	horizSizing = "left";
	vertSizing = "top";
	position = "505 440";
	extent = "25 35";
	minextent = "25 35";
	visible = "1";
	helpTag = "0";
	new GuiProgressCtrl(ModuleHud_bar) {
		profile = "GuiProgressProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "0 0";
		extent = "25 35";
		minExtent = "8 2";
		visible = "1";
		helpTag = "0";
	};
	new GuiBitmapCtrl(ModuleHud_back) {
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "0 0";
		extent = "25 35";
		minExtent = "8 2";
		visible = "1";
		helpTag = "0";
		bitmap = "legends/data/textures/gui/WeaponHud_image1_ammo.png";
		wrap = "0";
	};
	new GuiBitmapCtrl(ModuleHud_module) {
		profile = "GuiDefaultProfile";
		horizSizing = "left";
		vertSizing = "bottom";
		position = "0 0";
		extent = "25 19";
		minExtent = "8 2";
		visible = "1";
		helpTag = "0";
		bitmap = "legends/data/textures/gui/ModuleHud_noModule.png";
		wrap = "0";
	};
	new GuiTextCtrl(ModuleHud_active) {
		profile = "GuiInventoryHudAmmoProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "3 18";
		extent = "20 16";
		minExtent = "8 2";
		visible = "1";
		helpTag = "0";
		longTextBuffer = "0";
		maxLength = "-1";
	};
};
playgui.add(ModuleHud);
if(isObject(HM)) hudmover::addhud("ModuleHud","ModuleHud");

function ModuleHud::init( %this )
{
	ModuleHud.setModule("",0);
}
ModuleHud::init();

function handleSetInvCount( %msgType, %msg, %ammoType, %ammoCount, %hudName )
{
	%ammoType = detag(%ammoType);
	InventoryHud.setInvCount(%ammoType, %ammoCount, %hudName);
}

function InventoryHud::setInvCount(%this, %ammoType, %ammoCount, %hudName)
{
	if (strstr(%ammoType,"Module") != -1 || strstr(%ammoType,"Deployable") != -1)
		ModuleHud::setModule(%ammoType,%ammoCount);
}

function ModuleHud::setModule(%this, %add)
{
	if(%add)
	{
		ModuleHud_module.setBitmap("legends/data/textures/gui/ModuleHud_"@%this@".png");
		if(%this $= "repairModule" || %this $= "shieldModule") ModuleHud_active.setText("OFF");
		else ModuleHud_active.setText("-");
	}
	else
	{
		ModuleHud_module.setBitmap("legends/data/textures/gui/ModuleHud_noModule.png");
		ModuleHud_active.setText("");
	}
}
